Debian Bug report logs - #636857
libnet-snmp-perl: Use Digest::SHA instead of Digest::SHA1 to be able to drop libdigest-sha1-perl

version graph

Package: src:libnet-snmp-perl; Maintainer for src:libnet-snmp-perl is Jochen Friedrich <jochen@scram.de>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 6 Aug 2011 12:17:01 UTC

Severity: important

Found in version libnet-snmp-perl/6.0.1-1

Fixed in version libnet-snmp-perl/6.0.1-2

Done: Jochen Friedrich <jochen@scram.de>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=68182

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#636857; Package src:libnet-snmp-perl. (Sat, 06 Aug 2011 12:17:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Jochen Friedrich <jochen@scram.de>. (Sat, 06 Aug 2011 12:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnet-snmp-perl: Use Digest::SHA instead of Digest::SHA1 to be able to drop libdigest-sha1-perl
Date: Sat, 06 Aug 2011 14:12:06 +0200
Source: libnet-snmp-perl
Version: 6.0.1-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition
Forwarded: http://rt.cpan.org/Ticket/Display.html?id=68182

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Note, i have forwarded this too upstream [2].

 [2] http://rt.cpan.org/Ticket/Display.html?id=68182

Could you change use of Digest::SHA1 in libnet-snmp-perl to use
Digest::SHA? Upstream will hopefully provide an update version.

Regards,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#636857; Package src:libnet-snmp-perl. (Tue, 16 Aug 2011 18:54:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. (Tue, 16 Aug 2011 18:54:29 GMT) Full text and rfc822 format available.

Message #10 received at 636857@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:36 GMT) Full text and rfc822 format available.

Added indication that bug 636857 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:16:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#636857; Package src:libnet-snmp-perl. (Thu, 18 Aug 2011 21:39:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. (Thu, 18 Aug 2011 21:39:32 GMT) Full text and rfc822 format available.

Message #19 received at 636857@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. (Wed, 24 Aug 2011 16:36:12 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 16:36:12 GMT) Full text and rfc822 format available.

Message #24 received at 636857-close@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: 636857-close@bugs.debian.org
Subject: Bug#636857: fixed in libnet-snmp-perl 6.0.1-2
Date: Wed, 24 Aug 2011 16:32:38 +0000
Source: libnet-snmp-perl
Source-Version: 6.0.1-2

We believe that the bug you reported is fixed in the latest version of
libnet-snmp-perl, which is due to be installed in the Debian FTP archive:

libnet-snmp-perl_6.0.1-2.debian.tar.gz
  to main/libn/libnet-snmp-perl/libnet-snmp-perl_6.0.1-2.debian.tar.gz
libnet-snmp-perl_6.0.1-2.dsc
  to main/libn/libnet-snmp-perl/libnet-snmp-perl_6.0.1-2.dsc
libnet-snmp-perl_6.0.1-2_all.deb
  to main/libn/libnet-snmp-perl/libnet-snmp-perl_6.0.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jochen Friedrich <jochen@scram.de> (supplier of updated libnet-snmp-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Aug 2011 17:33:35 +0200
Source: libnet-snmp-perl
Binary: libnet-snmp-perl
Architecture: source all
Version: 6.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Jochen Friedrich <jochen@scram.de>
Changed-By: Jochen Friedrich <jochen@scram.de>
Description: 
 libnet-snmp-perl - Script SNMP connections
Closes: 636857
Changes: 
 libnet-snmp-perl (6.0.1-2) unstable; urgency=low
 .
   * Replace Digest:SHA1 by Digest:SHA (Closes: #636857)
Checksums-Sha1: 
 1b6d77dcf5851398ae43421d06ede16b79e9bf3d 1069 libnet-snmp-perl_6.0.1-2.dsc
 6e317fd4ae519a70eb56ecf73067ac79d65e9ebb 4969 libnet-snmp-perl_6.0.1-2.debian.tar.gz
 c8f8c7c5e2a015065ad11eae8885a1d47ec56285 114484 libnet-snmp-perl_6.0.1-2_all.deb
Checksums-Sha256: 
 901cd4f39c24ebe9f88a7e8a4131913c0c89674675f16775f5b08702016d14d0 1069 libnet-snmp-perl_6.0.1-2.dsc
 3b755906f25abc7e5d9f93c2f7d7263732f02a5392674705bce426fc4e348978 4969 libnet-snmp-perl_6.0.1-2.debian.tar.gz
 c7d9b18fe08ed2e008ebd6ae47d60bd7c6c040438fbdea1de31365115d63ed99 114484 libnet-snmp-perl_6.0.1-2_all.deb
Files: 
 765336205710ff49cef1e8d6a33c9a97 1069 perl optional libnet-snmp-perl_6.0.1-2.dsc
 2174065d03d2bab37eda2cff50ffd74c 4969 perl optional libnet-snmp-perl_6.0.1-2.debian.tar.gz
 499190a8f3a6325d20aaa29b9ef6f48a 114484 perl optional libnet-snmp-perl_6.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOVSOw0fhX0Y/ocz0RApjRAJ4/9NOUN3MXws05lLG2K/LTsAc8ygCfXWdC
YdpidesWrXEIPH+HcrPr1ik=
=ok4/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Oct 2011 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:35:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.